<?php
function getExchangeRate($fromCurrency, $toCurrency)
{
    $url = "http://currencies.apps.grandtrunk.net/getlatest/{$fromCurrency}/{$toCurrency}";
    $rate = file_get_contents($url);
    return $rate !== false ? floatval($rate) : null;
}

$result = null;
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $fromCurrency = $_POST['from_currency'] ?? '';
    $toCurrency = $_POST['to_currency'] ?? '';
    $amount = floatval($_POST['amount'] ?? 0);

    if ($fromCurrency && $toCurrency && $amount > 0) {
        $exchangeRate = getExchangeRate($fromCurrency, $toCurrency);
        if ($exchangeRate !== null) {
            $result = $amount * $exchangeRate;
        } else {
            $result = "Impossible de récupérer le taux de conversion.";
        }
    } else {
        $result = "Veuillez remplir tous les champs correctement.";
    }
}
?>

<h1>Convertisseur de devises</h1>
    <form method="POST">
        <label for="from_currency">De :</label>
        <select id="from_currency" name="from_currency" required>
          <?php include("pariteOption.php"); ?> 
        </select>

        <label for="to_currency">À :</label>
        <select id="to_currency" name="to_currency" required>
          <?php include("pariteOption.php"); ?> 
        </select>

        <label for="amount">Montant :</label>
        <input type="number" id="amount" name="amount" step="0.01" value="<?= ($_POST['amount'] ?? '') ?>" required>

        <button type="submit">Convertir</button>
    </form>

    <?php if ($result !== null): ?>
        <h2>Résultat :</h2>
        <p>
            <?= is_numeric($result)
                ? "Le montant converti est de : " . number_format($result, 2)
                : htmlspecialchars($result) ?>
        </p>
    <?php endif; ?>
